### Function

# Gimp Resource select_new

#### Declaration [src]

    const gchar*
    gimp_resource_select_new (
      const gchar* title,
      GBytes* parent_handle,
      GimpResource* resource,
      GType resource_type,
      GimpResourceChoosedCallback callback,
      gpointer owner_data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Invoke a resource chooser dialog which may call `callback` with the chosen `resource` and `owner_data`.

A proxy to a remote dialog in core, which knows the installed resources.

#### Parameters

`title`

  Type: `const gchar*`

  Title of the resource selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent_handle`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the function.

`resource`

  Type: `GimpResource`

  The resource to set as the initial choice.

  The data is owned by the caller of the function.

`resource_type`

  Type: `GType`

  The type of the subclass of `GimpResource`.

`callback`

  Type: `GimpResourceChoosedCallback`

  The callback function to call when the user chooses a resource.

`owner_data`

  Type: `gpointer`

  The run_data given to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data_destroy`

  Type: `GDestroyNotify`

  The destroy function for `owner_data`.

#### Return value

Type: `const gchar*`

The name of a temporary PDB procedure. The string belongs to the resource selection dialog and will be freed automatically when the dialog is closed.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.